FormattedTextControl

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.client
Class FormattedTextControl

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.openswing.swing.client.BaseInputControl
                          org.openswing.swing.client.FormattedTextControl

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, InputControl, java.awt.MenuContainer, java.io.Serializable

public class FormattedTextControl
extends BaseInputControl
implements InputControl

Title: OpenSwing Framework

Description: Formatted text input control: it is a wrapper of JFormattedTextField.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`FormattedTextControl()` Constructor.
`FormattedTextControl(int columns)` Constructor.

Method Summary
`void` | `addActionListener(java.awt.event.ActionListener listener)` Adds the specified action listener to receive action events from this textfield.
`void` | `addFocusListener(java.awt.event.FocusListener listener)` Adds the specified focus listener to receive focus events from this component when this component gains input focus.
`void` | `commitEdit()` Forces the current value to be taken from the AbstractFormatter and set as the current value.
`javax.swing.Action[]` | `getActions()`
`javax.swing.JComponent` | `getBindingComponent()`
`int` | `getColumns()`
`FormatterController` | `getController()`
`int` | `getFocusLostBehavior()`
`javax.swing.JFormattedTextField.AbstractFormatter` | `getFormatter()`
`javax.swing.JFormattedTextField.AbstractFormatterFactory` | `getFormatterFactory()`
`java.lang.String` | `getText()`
`java.lang.Object` | `getValue()`
`void` | `invalidEdit()` Invoked when the user inputs an invalid value.
`boolean` | `isEditValid()`
`boolean` | `isEnabled()`
`void` | `processKeyEvent(java.awt.event.KeyEvent e)`
`void` | `removeActionListener(java.awt.event.ActionListener listener)` Removes the specified action listener so that it no longer receives action events from this textfield.
`void` | `removeFocusListener(java.awt.event.FocusListener listener)` Removes the specified focus listener so that it no longer receives focus events from this component.
`void` | `setColumns(int columns)` Set input control visible characters.
`void` | `setController(FormatterController controller)` Set the formatter controller, used to override some JFormatterTextField protected methods.
`void` | `setDocument(javax.swing.text.Document doc)` Associates the editor with a text document.
`void` | `setEnabled(boolean enabled)` Replace enabled setting with editable setting (this allow tab swithing).
`void` | `setFocusLostBehavior(int behavior)` Sets the behavior when focus is lost.
`void` | `setFormatter(javax.swing.JFormattedTextField.AbstractFormatter format)` Sets the current AbstractFormatter.
`void` | `setFormatterFactory(javax.swing.JFormattedTextField.AbstractFormatterFactory tf)` Sets the AbstractFormatterFactory.
`void` | `setInputVerifier(javax.swing.InputVerifier verifier)` Set an input verifier.
`void` | `setText(java.lang.String text)`
`void` | `setValue(java.lang.Object value)` Set value to the input control.

Methods inherited from class org.openswing.swing.client.BaseInputControl
`addValueChangedListener, getAttributeName, getFont, getLinkLabel, getTextAlignment, getToolTipText, getValueChangeListeners, isCanCopy, isChanged, isEnabledOnEdit, isEnabledOnInsert, isRequired, removeValueChangedListener, requestFocus, setAttributeName, setCanCopy, setChanged, setEnabledOnEdit, setEnabledOnInsert, setFont, setLinkLabel, setRequired, setTextAlignment, setToolTipText`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setForeground, setInputMap, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.openswing.swing.client.InputControl
`addValueChangedListener, getAttributeName, getLinkLabel, getValueChangeListeners, isCanCopy, isChanged, isEnabledOnEdit, isEnabledOnInsert, isRequired, removeValueChangedListener, setAttributeName, setCanCopy, setChanged, setEnabledOnEdit, setEnabledOnInsert, setLinkLabel`

Constructor Detail

### FormattedTextControl

    public FormattedTextControl()

  Constructor.

### FormattedTextControl

    public FormattedTextControl(int columns)

  Constructor.

Parameters:
  `columns` - number of visibile characters

Method Detail

### setText

    public final void setText(java.lang.String text)

### setEnabled

    public final void setEnabled(boolean enabled)

  Replace enabled setting with editable setting (this allow tab swithing).

  Specified by:
    `setEnabled` in interface `InputControl`
  Overrides:
    `setEnabled` in class `BaseInputControl`
  Parameters:
    `enabled` - flag used to set abilitation of control

### isEnabled

    public final boolean isEnabled()

  Specified by:
    `isEnabled` in interface `InputControl`
  Overrides:
    `isEnabled` in class `BaseInputControl`
  Returns:
    current input control abilitation

### getValue

    public final java.lang.Object getValue()

  Specified by:
    `getValue` in interface `InputControl`
  Overrides:
    `getValue` in class `BaseInputControl`
  Returns:
    value related to the input control

### getText

    public final java.lang.String getText()

  Returns:
    input control text

### setValue

    public final void setValue(java.lang.Object value)

  Set value to the input control.

  Specified by:
    `setValue` in interface `InputControl`
  Overrides:
    `setValue` in class `BaseInputControl`
  Parameters:
    `value` - value to set into the input control

### getBindingComponent

    public final javax.swing.JComponent getBindingComponent()

  Overrides:
    `getBindingComponent` in class `BaseInputControl`
  Returns:
    component inside this whose contains the value

### setColumns

    public final void setColumns(int columns)

  Set input control visible characters.

  Parameters:
    `columns` - visible characters

### getColumns

    public final int getColumns()

  Returns:
    input control visibile characters

### addFocusListener

    public final void addFocusListener(java.awt.event.FocusListener listener)

  Adds the specified focus listener to receive focus events from this component when this component gains input focus. If listener `l` is `null`, no exception is thrown and no action is performed.

  Specified by:
    `addFocusListener` in interface `InputControl`
  Since:
    JDK1.1
  See Also:
    `FocusEvent`, `FocusListener`, `removeFocusListener(java.awt.event.FocusListener)`, `Component.getFocusListeners()`

### removeFocusListener

    public final void removeFocusListener(java.awt.event.FocusListener listener)

  Removes the specified focus listener so that it no longer receives focus events from this component. This method performs no function, nor does it throw an exception, if the listener specified by the argument was not previously added to this component. If listener `l` is `null`, no exception is thrown and no action is performed.

  Specified by:
    `removeFocusListener` in interface `InputControl`
  Since:
    JDK1.1
  See Also:
    `FocusEvent`, `FocusListener`, `addFocusListener(java.awt.event.FocusListener)`, `Component.getFocusListeners()`

### addActionListener

    public final void addActionListener(java.awt.event.ActionListener listener)

  Adds the specified action listener to receive action events from this textfield.

### removeActionListener

    public final void removeActionListener(java.awt.event.ActionListener listener)

  Removes the specified action listener so that it no longer receives action events from this textfield.

### processKeyEvent

    public void processKeyEvent(java.awt.event.KeyEvent e)

### commitEdit

    public final void commitEdit()
                          throws java.text.ParseException

  Forces the current value to be taken from the AbstractFormatter and set as the current value.

  Throws:
    `java.text.ParseException`

### getActions

    public final javax.swing.Action[] getActions()

  Returns:
    fetches the command list for the editor

### getFocusLostBehavior

    public final int getFocusLostBehavior()

  Returns:
    returns the behavior when focus is lost

### getFormatter

    public final javax.swing.JFormattedTextField.AbstractFormatter getFormatter()

  Returns:
    returns the AbstractFormatter that is used to format and parse the current value

### getFormatterFactory

    public final javax.swing.JFormattedTextField.AbstractFormatterFactory getFormatterFactory()

  Returns:
    returns the current AbstractFormatterFactory

### invalidEdit

    public final void invalidEdit()

  Invoked when the user inputs an invalid value.

### isEditValid

    public final boolean isEditValid()

  Returns:
    returns `true` if the current value being edited is valid

### setDocument

    public final void setDocument(javax.swing.text.Document doc)

  Associates the editor with a text document.

  Parameters:
    `doc` - document linked to this text field

### setFocusLostBehavior

    public void setFocusLostBehavior(int behavior)

  Sets the behavior when focus is lost.

  Parameters:
    `behavior` - behavior to set

### setFormatter

    public final void setFormatter(javax.swing.JFormattedTextField.AbstractFormatter format)

  Sets the current AbstractFormatter.

  Parameters:
    `format` - formatter to set

### setFormatterFactory

    public final void setFormatterFactory(javax.swing.JFormattedTextField.AbstractFormatterFactory tf)

  Sets the AbstractFormatterFactory.

  Parameters:
    `tf` - formatter factory

### setInputVerifier

    public final void setInputVerifier(javax.swing.InputVerifier verifier)

  Set an input verifier.

  Parameters:
    `verifier` - input verifier

### getController

    public final FormatterController getController()

  Returns:
    formatter controller, used to override some JFormatterTextField protected methods

### setController

    public final void setController(FormatterController controller)

  Set the formatter controller, used to override some JFormatterTextField protected methods.

  Parameters:
    `controller` - formatter controller

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD